This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 490100

Summary: Brightness shortcut keys broken
Product: [Fedora] Fedora Reporter: Michael Monreal <michael.monreal+bugs>
Component: gnome-power-managerAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 16CC: chad.sawatzky, collura, ferrazrafael, hristozov, pahan, richard
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 21:44:40 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Michael Monreal 2009-03-13 05:26:36 EDT
The brightness control keys (Fn-F10 / Fn-F11) stopped working on my RawHide test system. Brightness control itself works (using g-p-m settings window) and other Fn keys (volume) still work.
Comment 1 Richard Hughes 2009-03-16 09:35:46 EDT
Do you get the correct events in xev?
Comment 2 Michael Monreal 2009-03-16 18:07:52 EDT
Eh... this appears to have fixed itself already. Closing...
Comment 3 Michael Monreal 2009-04-29 09:39:42 EDT
With recent Rawhide I got the same problem again (brightness control works from the g-p-m prefs window but not with the shortcut keys), so reopening...

I also tested with the new F11Preview LiveCD: same thing.

>> Do you get the correct events in xev?
No, there's no event for Fn-F10/Fn-F11 anymore. Fn-F1/Fn-F2 etc on the other hand still work fine.
Comment 4 Georgi Hristozov 2009-05-12 13:07:36 EDT
I'm having exactly the same problem with the Fn-F6 and Fn-F7 keys on the 32 bit Rawhide, using Toshiba Satellite A200. Xev doesn't seem to catch any event. The volume "scroll" seems to be ok.
Comment 5 Bug Zapper 2009-06-09 08:13:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Michael Monreal 2009-07-27 07:26:55 EDT
Still the same in current F11+Updates.

What would cause those keys not to emmit events anymore? Is it a Kernel or Xorg bug?
Comment 7 Georgi Hristozov 2009-07-30 16:42:39 EDT
The situation is the same on rawhide and the version needs to be changed. Thanks in advance!
Comment 8 Michael Monreal 2009-08-10 15:19:56 EDT
During my LiveCD tests I verified that on...

Fedora  9 Live -> works
Fedora 10 Live -> works
Fedora 11 Live -> does not work

So this really broke during F10->F11 development
Comment 9 Bug Zapper 2010-04-27 09:11:10 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Pavel Alexeev 2010-04-27 11:47:11 EDT
Brightness adjustment still does not work.
Comment 11 Rafael Louback Ferraz 2010-10-06 17:28:42 EDT
Still does not work in fc13
Comment 12 Bug Zapper 2011-06-02 14:12:45 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Rafael Louback Ferraz 2011-06-02 14:31:17 EDT
still doesnt working on F15, please change version
Comment 14 Rafael Louback Ferraz 2012-03-26 13:03:30 EDT
not working on F16 kernel 3.3, please change version
Comment 15 Pavel Alexeev 2012-04-01 04:33:47 EDT
Just change version by request of Rafael.
Comment 16 Rafael Louback Ferraz 2012-04-25 09:55:40 EDT
Maybe this help to fix this bug

http://askubuntu.com/questions/39391/adjusting-brightness-on-dell-vostro-3500-wont-work
Comment 17 Rafael Louback Ferraz 2012-08-31 19:30:01 EDT
There is any other place I should report this bug? After all this bug is 3 years old and nothing was done about it.

Its a good idea to report it on gnome too?
Comment 18 Fedora End Of Life 2013-01-16 20:22:01 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Fedora End Of Life 2013-02-13 21:44:44 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.